about summary refs log tree commit diff
path: root/pkgs/tools/typesetting/hevea
diff options
context:
space:
mode:
authorMartin Bravenboer <martin.bravenboer@logicblox.com>2005-07-26 16:18:14 +0000
committerMartin Bravenboer <martin.bravenboer@logicblox.com>2005-07-26 16:18:14 +0000
commit478c44aef3637a4578c1a735c0d96a6af572f059 (patch)
tree7f62570d63e4a3c72c47df694a467298bd609154 /pkgs/tools/typesetting/hevea
parent4d22b612780642757b3860fd46999b9898b3a7fe (diff)
downloadnixlib-478c44aef3637a4578c1a735c0d96a6af572f059.tar
nixlib-478c44aef3637a4578c1a735c0d96a6af572f059.tar.gz
nixlib-478c44aef3637a4578c1a735c0d96a6af572f059.tar.bz2
nixlib-478c44aef3637a4578c1a735c0d96a6af572f059.tar.lz
nixlib-478c44aef3637a4578c1a735c0d96a6af572f059.tar.xz
nixlib-478c44aef3637a4578c1a735c0d96a6af572f059.tar.zst
nixlib-478c44aef3637a4578c1a735c0d96a6af572f059.zip
hevea needs patching on Mac OS X (see the Darwin ports)
svn path=/nixpkgs/trunk/; revision=3454
Diffstat (limited to 'pkgs/tools/typesetting/hevea')
-rw-r--r--pkgs/tools/typesetting/hevea/builder.sh21
1 files changed, 15 insertions, 6 deletions
diff --git a/pkgs/tools/typesetting/hevea/builder.sh b/pkgs/tools/typesetting/hevea/builder.sh
index 895d8015e06c..645555847087 100644
--- a/pkgs/tools/typesetting/hevea/builder.sh
+++ b/pkgs/tools/typesetting/hevea/builder.sh
@@ -1,10 +1,19 @@
-. $stdenv/setup || exit 1
+set -e
+
+. $stdenv/setup
 
 mkdir -p $out/bin $out/lib
 
-tar xvfz $src || exit 1
-cd hevea-* || exit 1
-sed s+/usr/local+$out+ Makefile > Makefile.new || exit 1
+tar xvfz $src
+cd hevea-*
+
+sed s+/usr/local+$out+ Makefile > Makefile.new
 mv Makefile.new Makefile
-make || exit 1
-make install || exit 1
+
+if test "x$system" = "xpowerpc-darwin"; then
+  sed s/CPP=cpp\ -E\ -P/CPP=m4\ -E\ -E\ -P/ Makefile > Makefile.new
+  mv Makefile.new Makefile
+fi
+
+make
+make install